gtkmm 2.4: Gtk::RecentChooser Class Reference

Main Page Widgets Namespaces Book

# Gtk::RecentChooser Class Reference
[RecentFiles]

Inheritance diagram for Gtk::RecentChooser:

[legend]
List of all members.

## Detailed Description

RecentChooser is an interface that can be implemented by widgets displaying the list of recently used files.

In GTK+, the main objects that implement this interface are RecentChooserWidget, RecentChooserDialog and RecentChooserMenu.

Since gtkmm 2.10:

## Public Types
typedef Glib::ListHandle< RecentInfo, RecentInfoTraits > | ListHandle_RecentInfos
typedef sigc::slot< int, const Glib::RefPtr<RecentInfo>&, const Glib::RefPtr<RecentInfo >&> | SlotCompare
| This callback should return -1 if b compares before a, 0 if they compare equal and 1 if a compares after b.
## Public Member Functions
void | add_filter (const RecentFilter& filter)
Glib::RefPtr<const RecentInfo> | get_current_item () const
Glib::RefPtr<RecentInfo> | get_current_item ()
Glib::ustring | get_current_uri () const
const RecentFilter* | get_filter () const
RecentFilter* | get_filter ()
ListHandle_RecentInfos | get_items () const
int | get_limit () const
bool | get_local_only () const
bool | get_select_multiple () const
bool | get_show_icons () const
bool | get_show_not_found () const
bool | get_show_private () const
bool | get_show_tips () const
RecentSortType | get_sort_type () const
Glib::StringArrayHandle | get_uris () const
| Gets the URI of the recently used resources.
const GtkRecentChooser* | gobj () const
| Provides access to the underlying C GObject.
GtkRecentChooser* | gobj ()
| Provides access to the underlying C GObject.
Glib::SListHandle<const RecentFilter*> | list_filters () const
Glib::SListHandle<RecentFilter*> | list_filters ()
Glib::PropertyProxy_ReadOnly< RecentFilter* > | property_filter () const
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy<RecentFilter*> | property_filter ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_ReadOnly< int > | property_limit () const
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy<int> | property_limit ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_ReadOnly< bool > | property_local_only () const
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy<bool> | property_local_only ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_ReadOnly< Glib::RefPtr<RecentManager >> | property_recent_manager () const
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_ReadOnly< bool > | property_select_multiple () const
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy<bool> | property_select_multiple ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_ReadOnly< bool > | property_show_icons () const
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy<bool> | property_show_icons ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_ReadOnly< bool > | property_show_not_found () const
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy<bool> | property_show_not_found ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_ReadOnly< bool > | property_show_private () const
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy<bool> | property_show_private ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_ReadOnly< bool > | property_show_tips () const
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy<bool> | property_show_tips ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_ReadOnly< RecentSortType > | property_sort_type () const
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy<RecentSortType> | property_sort_type ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
void | remove_filter (const RecentFilter& filter)
void | select_all ()
bool | select_uri (const Glib::ustring& uri)
bool | set_current_uri (const Glib::ustring& uri)
void | set_filter (const RecentFilter& filter)
void | set_limit (int limit)
void | set_local_only (bool local_only=true)
void | set_select_multiple (bool select_multiple=true)
void | set_show_icons (bool show_icons=true)
void | set_show_not_found (bool show_not_found=true)
void | set_show_private (bool show_private=true)
void | set_show_tips (bool show_tips=true)
void | set_sort_func (const SlotCompare& slot)
| Sets the comparison function used when sorting the list of recently used resources and the sort type is RECENT_SORT_CUSTOM.
void | set_sort_type (RecentSortType sort_type)
Glib::SignalProxy0<void> | signal_item_activated ()
| This signal is emitted when the user "activates" a recent item in the recent chooser.
Glib::SignalProxy0<void> | signal_selection_changed ()
| This signal is emitted when there is a change in the set of selected recently used resources.
void | unselect_all ()
void | unselect_uri (const Glib::ustring& uri)
void | unset_limit ()
virtual | ~RecentChooser ()
## Static Public Member Functions
static void | add_interface (GType gtype_implementer)
## Protected Member Functions
virtual void | add_filter_vfunc (const RecentFilter& filter)
virtual Glib::ustring | get_current_uri_vfunc () const
virtual Glib::RefPtr<RecentManager> | get_recent_manager_vfunc ()
virtual void | remove_filter_vfunc (const RecentFilter& filter)
virtual void | select_all_vfunc ()
virtual void | unselect_all_vfunc ()
virtual void | unselect_uri_vfunc (const Glib::ustring& uri)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr<Gtk::RecentChooser> | wrap (GtkRecentChooser* object, bool take_copy=false)
  | Parameters:
  | object | The C instance

## Member Typedef Documentation

typedef Glib::ListHandle<RecentInfo, RecentInfoTraits> Gtk::RecentChooser::ListHandle_RecentInfos

typedef sigc::slot<int, const Glib::RefPtr<RecentInfo>&, const Glib::RefPtr<RecentInfo>&> Gtk::RecentChooser::SlotCompare

This callback should return -1 if b compares before a, 0 if they compare equal and 1 if a compares after b.

For instance, int on_sort_compare(const Glib::RefPtr<Gtk::RecentInfo>& a, const Gtk::RecentInfo& b);

## Constructor & Destructor Documentation

virtual Gtk::RecentChooser::~RecentChooser | ( |  | ) | `[virtual]`

## Member Function Documentation

void Gtk::RecentChooser::add_filter | ( | const RecentFilter& | filter | ) |

virtual void Gtk::RecentChooser::add_filter_vfunc | ( | const RecentFilter& | filter | ) | `[protected, virtual]`

static void Gtk::RecentChooser::add_interface | ( | GType | gtype_implementer | ) | `[static]`

Glib::RefPtr<const RecentInfo> Gtk::RecentChooser::get_current_item | ( |  | ) | const

Glib::RefPtr<RecentInfo> Gtk::RecentChooser::get_current_item | ( |  | ) |

Glib::ustring Gtk::RecentChooser::get_current_uri | ( |  | ) | const

virtual Glib::ustring Gtk::RecentChooser::get_current_uri_vfunc | ( |  | ) | const`[protected, virtual]`

const RecentFilter* Gtk::RecentChooser::get_filter | ( |  | ) | const

RecentFilter* Gtk::RecentChooser::get_filter | ( |  | ) |

ListHandle_RecentInfos Gtk::RecentChooser::get_items | ( |  | ) | const

int Gtk::RecentChooser::get_limit | ( |  | ) | const

bool Gtk::RecentChooser::get_local_only | ( |  | ) | const

virtual Glib::RefPtr<RecentManager> Gtk::RecentChooser::get_recent_manager_vfunc | ( |  | ) | `[protected, virtual]`

bool Gtk::RecentChooser::get_select_multiple | ( |  | ) | const

bool Gtk::RecentChooser::get_show_icons | ( |  | ) | const

bool Gtk::RecentChooser::get_show_not_found | ( |  | ) | const

bool Gtk::RecentChooser::get_show_private | ( |  | ) | const

bool Gtk::RecentChooser::get_show_tips | ( |  | ) | const

RecentSortType Gtk::RecentChooser::get_sort_type | ( |  | ) | const

Glib::StringArrayHandle Gtk::RecentChooser::get_uris | ( |  | ) | const

Gets the URI of the recently used resources.

The return value of this function is affected by the "sort-type" and "limit" properties of the recent chooser.

const GtkRecentChooser* Gtk::RecentChooser::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented in Gtk::RecentChooserDialog, Gtk::RecentChooserMenu, and Gtk::RecentChooserWidget.

GtkRecentChooser* Gtk::RecentChooser::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented in Gtk::RecentChooserDialog, Gtk::RecentChooserMenu, and Gtk::RecentChooserWidget.

Glib::SListHandle<const RecentFilter*> Gtk::RecentChooser::list_filters | ( |  | ) | const

Glib::SListHandle<RecentFilter*> Gtk::RecentChooser::list_filters | ( |  | ) |

Glib::PropertyProxy_ReadOnly<RecentFilter*> Gtk::RecentChooser::property_filter | ( |  | ) | const

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<RecentFilter*> Gtk::RecentChooser::property_filter | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gtk::RecentChooser::property_limit | ( |  | ) | const

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Gtk::RecentChooser::property_limit | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gtk::RecentChooser::property_local_only | ( |  | ) | const

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gtk::RecentChooser::property_local_only | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::RefPtr<RecentManager>> Gtk::RecentChooser::property_recent_manager | ( |  | ) | const

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gtk::RecentChooser::property_select_multiple | ( |  | ) | const

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gtk::RecentChooser::property_select_multiple | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gtk::RecentChooser::property_show_icons | ( |  | ) | const

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gtk::RecentChooser::property_show_icons | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gtk::RecentChooser::property_show_not_found | ( |  | ) | const

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gtk::RecentChooser::property_show_not_found | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gtk::RecentChooser::property_show_private | ( |  | ) | const

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gtk::RecentChooser::property_show_private | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gtk::RecentChooser::property_show_tips | ( |  | ) | const

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gtk::RecentChooser::property_show_tips | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<RecentSortType> Gtk::RecentChooser::property_sort_type | ( |  | ) | const

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<RecentSortType> Gtk::RecentChooser::property_sort_type | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

void Gtk::RecentChooser::remove_filter | ( | const RecentFilter& | filter | ) |

virtual void Gtk::RecentChooser::remove_filter_vfunc | ( | const RecentFilter& | filter | ) | `[protected, virtual]`

void Gtk::RecentChooser::select_all | ( |  | ) |

virtual void Gtk::RecentChooser::select_all_vfunc | ( |  | ) | `[protected, virtual]`

bool Gtk::RecentChooser::select_uri | ( | const Glib::ustring & | uri | ) |

bool Gtk::RecentChooser::set_current_uri | ( | const Glib::ustring & | uri | ) |

void Gtk::RecentChooser::set_filter | ( | const RecentFilter& | filter | ) |

void Gtk::RecentChooser::set_limit | ( | int | limit | ) |

void Gtk::RecentChooser::set_local_only | ( | bool | local_only = `true` | ) |

void Gtk::RecentChooser::set_select_multiple | ( | bool | select_multiple = `true` | ) |

void Gtk::RecentChooser::set_show_icons | ( | bool | show_icons = `true` | ) |

void Gtk::RecentChooser::set_show_not_found | ( | bool | show_not_found = `true` | ) |

void Gtk::RecentChooser::set_show_private | ( | bool | show_private = `true` | ) |

void Gtk::RecentChooser::set_show_tips | ( | bool | show_tips = `true` | ) |

void Gtk::RecentChooser::set_sort_func | ( | const SlotCompare& | slot | ) |

Sets the comparison function used when sorting the list of recently used resources and the sort type is RECENT_SORT_CUSTOM.

void Gtk::RecentChooser::set_sort_type | ( | RecentSortType | sort_type | ) |

Glib::SignalProxy0< void > Gtk::RecentChooser::signal_item_activated | ( |  | ) |

This signal is emitted when the user "activates" a recent item in the recent chooser.

This can happen by double-clicking on an item in the recently used resources list, or by pressing <keycap>Enter</keycap>.

Prototype:
  `void on_my_item_activated()`

Glib::SignalProxy0< void > Gtk::RecentChooser::signal_selection_changed | ( |  | ) |

This signal is emitted when there is a change in the set of selected recently used resources.

This can happen when a user modifies the selection with the mouse or the keyboard, or when explicitely calling functions to change the selection.

Prototype:
  `void on_my_selection_changed()`

void Gtk::RecentChooser::unselect_all | ( |  | ) |

virtual void Gtk::RecentChooser::unselect_all_vfunc | ( |  | ) | `[protected, virtual]`

void Gtk::RecentChooser::unselect_uri | ( | const Glib::ustring & | uri | ) |

virtual void Gtk::RecentChooser::unselect_uri_vfunc | ( | const Glib::ustring & | uri | ) | `[protected, virtual]`

void Gtk::RecentChooser::unset_limit | ( |  | ) |

## Friends And Related Function Documentation

Glib::RefPtr<Gtk::RecentChooser> wrap | ( | GtkRecentChooser * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

Parameters:

  | object | The C instance

Parameters:

  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- recentchooser.h